Last Comment Bug 668524 - Fix warning in nsMemoryReporterManager.cpp due to wrong order of initialization list
: Fix warning in nsMemoryReporterManager.cpp due to wrong order of initializati...
Status: RESOLVED FIXED
[inbound]
:
Product: Core
Classification: Components
Component: General (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla7
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-30 08:57 PDT by Justin Lebar (not reading bugmail)
Modified: 2011-09-01 04:47 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (1.01 KB, patch)
2011-06-30 09:01 PDT, Justin Lebar (not reading bugmail)
n.nethercote: review+
Details | Diff | Splinter Review

Description Justin Lebar (not reading bugmail) 2011-06-30 08:57:30 PDT
Patch in a moment.
Comment 1 Justin Lebar (not reading bugmail) 2011-06-30 09:01:14 PDT
Created attachment 543146 [details] [diff] [review]
Patch v1
Comment 2 Nicholas Nethercote [:njn] 2011-06-30 16:11:36 PDT
Comment on attachment 543146 [details] [diff] [review]
Patch v1

Review of attachment 543146 [details] [diff] [review]:
-----------------------------------------------------------------

Heh, I have the same fix in another patch I'm working on.  But it's not ready yet, so land away.
Comment 3 Justin Lebar (not reading bugmail) 2011-06-30 16:57:35 PDT
inbound: http://hg.mozilla.org/integration/mozilla-inbound/rev/524c58cd1b6e
Comment 4 Marco Bonardo [::mak] 2011-07-02 02:33:29 PDT
http://hg.mozilla.org/mozilla-central/rev/524c58cd1b6e
Comment 5 Mihaela Velimiroviciu (:mihaelav) 2011-09-01 04:47:02 PDT
Verified the code change was made to xpcom/base/nsMemoryReporterManager.cpp	in mozilla-central repository.

Note You need to log in before you can comment on or make changes to this bug.